メニューを切り替える
個人設定メニューを切り替える
個人メニューを切り替える
ログインしていません
編集を行うと、IPアドレスが公開されます。

MediaWiki:Common.css

MediaWikiインターフェイスページ
2026年1月10日 (土) 01:40時点におけるKabanFriends (トーク | 投稿記録)による版
(差分) ← 古い版 | 最新版 (差分) | 新しい版 → (差分)

注意: 保存後、変更を確認するにはブラウザーのキャッシュを消去する必要がある場合があります。

  • Firefox / Safari: Shift を押しながら 再読み込み をクリックするか、Ctrl-F5 または Ctrl-R を押してください (Mac では ⌘-R)
  • Google Chrome: Ctrl-Shift-R を押してください (Mac では ⌘-Shift-R)
  • Microsoft Edge: Ctrl を押しながら 最新の情報に更新 をクリックするか、Ctrl-F5 を押してください。
/* ここに記述したCSSはすべての外装に反映されます */
:root {
	--color-progressive-oklch__h: 42;
	
	--irori-border-radius-pill: 9999px;
}

@media screen {
    .citizen-page-container::before {
        background-image: url("images/page-background.jpg");
        background-position: center -50px;
    }
}

.citizen-page-container {
    position: relative;
}

.citizen-page-container::before {
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;
    background-repeat: no-repeat;
    background-size: cover;
    height: 500px;
    mask-image: linear-gradient(rgba(0, 0, 0, 0.35),
            rgba(0, 0, 0, 0.2) 3rem,
            rgba(0, 0, 0, 0.05) 9rem,
            transparent 100%);
    -webkit-mask-image: linear-gradient(rgba(0, 0, 0, 0.35),
            rgba(0, 0, 0, 0.2) 3rem,
            rgba(0, 0, 0, 0.05) 9rem,
            transparent 100%);
}

@media screen and (min-width: 600px)  {
	.irori-util-mobile-break { display: none; }
}